SMAPProfiles-class {SMAP} | R Documentation

## Class "SMAPProfiles"

### Description

Holds results from running `smap`.

### Objects from the Class

Objects are not intended to be created directly but as a result from running `smap`.

### Slots

`.Data`:
  Object of class `"list"` A list of objects of class `SMAPProfile-class`.
`name`:
  Object of class `"character"` The name of the object.

### Extends

Class `"list"`, from data part. Class `"vector"`, by class `"list"`.

### Methods

Q
  `signature(object = "SMAPProfiles")`: Returns the optimal state sequence of the list elements.
observations
  `signature(object = "SMAPProfiles")`: Returns the observations of the list elements.
name
  `signature(object = "SMAPProfiles")`: Returns the name of the profile.
plot
  `signature(x = "SMAPProfiles", y = "missing")`: A plot method for the result profiles.

### Author(s)

Robin Andersson, robin.andersson@lcb.uu.se

### References

Andersson, R., Bruder, C. E. G., Piotrowski, A., Menzel, U., Nord, H., Sandgren, J., Hvidsten, T. R., Diaz de Stahl, T., Dumanski, J. P., Komorowski, J., A Segmental Maximum A Posteriori Approach to Array-CGH Copy Number Profiling, submitted

### See Also

`smap`, `SMAPProfile-class`

[Package SMAP version 1.6.0 Index]